package ca.odell.glazedlists.impl.pmap;

import ca.odell.glazedlists.impl.nio.*;
import ca.odell.glazedlists.impl.io.*;
import java.util.*;
import java.nio.*;
import java.nio.channels.*;
import java.io.*;
import java.util.logging.*;

/**
 * A ValueCallback that simply blocks until the value is ready.
 *
 * @author <a href="mailto:jesse@odel.on.ca">Jesse Wilson</a>
 */
class BlockingValueCallback implements ValueCallback {
    
    BlockingValueCallback() {
        super();
    }
    
    /**
     * the value returned 
     */
    private Bufferlo value = null;
    
    /**
     * Gets the value for the specified Chunk.
     */
    public static Bufferlo get(Chunk member) {
        BlockingValueCallback callback = new BlockingValueCallback();
        member.fetchValue(callback);
        synchronized (callback) {
            if (callback.value == null) {
                try {
                    callback.wait();
                } catch (InterruptedException e) {
                    throw new RuntimeException(e);
                }
            }
        }
        return callback.value;
    }
    
    /**
     * Handles a value being completely loaded into memory and ready to read.
     */
    public void valueLoaded(Chunk member, Bufferlo value) {
        synchronized (this) {
            this.value = value;
            notify();
        }
    }
}
